Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CosEventChannelAdmin::ConsumerAdmin Interface Reference

Abstract Factory used to create proxies for pull-style and push-style consumers. More...

`import "CosEventChannelAdmin.idl";`

List of all members.

## Public Methods
ProxyPushSupplier | obtain_push_supplier ()
| Create a new ProxyPushSupplier object.
ProxyPullSupplier | obtain_pull_supplier ()
| Create a new ProxyPullSupplier object.

## Detailed Description

Abstract Factory used to create proxies for pull-style and push-style consumers.

## Member Function Documentation

ProxyPullSupplier CosEventChannelAdmin::ConsumerAdmin::obtain_pull_supplier | ( |  | ) |

| Create a new ProxyPullSupplier object.

ProxyPushSupplier CosEventChannelAdmin::ConsumerAdmin::obtain_push_supplier | ( |  | ) |

| Create a new ProxyPushSupplier object.

The documentation for this interface was generated from the following file:

- CosEventChannelAdmin.idl